| Qore Programming Language Reference Manual 1.12.2

Public Member Functions | List of all members
Qore::AbstractPollableIoObject Class Referenceabstract

This interfaces declares that the inheriting class supports a pollable file descriptor. More...

Inheritance diagram for Qore::AbstractPollableIoObject:
[legend]

## Public Member Functions
abstract int | getPollableDescriptor ()
| Returns a pollable file / socket / I/O descriptor. More...

## Detailed Description

This interfaces declares that the inheriting class supports a pollable file descriptor.

Since
  Qore 1.12

## Member Function Documentation

## ◆ getPollableDescriptor()

abstract int Qore::AbstractPollableIoObject::getPollableDescriptor | ( |  | ) |
| pure virtual

Returns a pollable file / socket / I/O descriptor.

Returns
  a pollable file / socket / I/O descriptor

Implemented in Qore::AbstractPollableIoObjectBase.